import { Input, Component } from 'angular-ts-decorators';

/**
 * A component that displays a box with "Public" or "Private", depending on the visibility
 * of the repository.
 */
@Component({
  selector: 'visibilityIndicator',
  templateUrl: '/static/js/directives/ui/visibility-indicator/visibility-indicator.component.html'
})
export class VisibilityIndicatorComponent implements ng.IComponentController {
  @Input('<') public repository: any;

  constructor() {

  }
}
